---
title: DelayNode.delayTime
slug: Web/API/DelayNode/delayTime
tags:
  - API
  - DelayNode
  - Property
  - Reference
  - Web Audio API
  - delayTime
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>delayTime</code> property of the {{ domxref("DelayNode") }} interface is an <a href="/en-US/docs/Web/API/AudioParam#a-rate">a-rate</a> {{domxref("AudioParam")}} representing the amount of delay to apply.</p>

<p><code>delayTime</code> is expressed in seconds, its minimal value is <code>0</code>, and its maximum value is defined by the <code>maxDelayTime</code> argument of the {{domxref("AudioContext.createDelay()")}} method that created it.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var myDelay = audioCtx.createDelay(5.0);
myDelay.delayTime.value = 3.0;
</pre>

<div class="note">
<p><strong>Note</strong>: Though the {{domxref("AudioParam")}} returned is read-only, the value it represents is not.</p>
</div>

<h3 id="Value">Value</h3>

<p>An {{domxref("AudioParam")}}.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createDelay","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-delaynode-delaytime', 'delayTime')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DelayNode.delayTime")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
